﻿/* fix iOS bug not displaying 100vh correctly */
/* ipad */
	.fullheight {
		height: 100vh;
	}
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : landscape) {
	body.is-mobile .fullheight {
		height: 100vh;
        /*height: 768px !important;*/
	}
}
@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) and (orientation : portrait) {
	body.is-mobile .fullheight {
		height: 1024px !important;
	}
}
/* iPhone 4 */
@media only screen and (min-device-width : 320px) and (max-device-width : 480px) and (orientation : landscape) and (-webkit-min-device-pixel-ratio : 2) {
	body.is-mobile .fullheight {
		height: 320px !important;
	}
}
@media only screen and (min-device-width : 320px) and (max-device-width : 480px) and (orientation : portrait) and (-webkit-min-device-pixel-ratio : 2) {
	body.is-mobile .fullheight {
		height: 480px !important;
	}
}
/* iphone5 */
@media only screen and (min-device-width: 320px) and (max-device-height: 568px) and (orientation : landscape) and (-webkit-device-pixel-ratio: 2) {
	body.is-mobile .fullheight {
		height: 320px !important;
	}
}
@media only screen and (min-device-width: 320px) and (max-device-height: 568px) and (orientation : portrait) and (-webkit-device-pixel-ratio: 2) {
	body.is-mobile .fullheight {
		height: 568px !important;
	}
}
/* iphone6 */
@media only screen and (min-device-width: 375px) and (max-device-height: 667px) and (orientation : landscape) and (-webkit-device-pixel-ratio: 2) {
	body.is-mobile .fullheight {
		height: 375px !important;
	}
}
@media only screen and (min-device-width: 375px) and (max-device-height: 667px) and (orientation : portrait) and (-webkit-device-pixel-ratio: 2) {
	body.is-mobile .fullheight {
		height: 667px !important;
	}
}
/* iphone6 plus */
@media only screen and (min-device-width: 414px) and (max-device-height: 736px) and (orientation : landscape) and (-webkit-device-pixel-ratio: 3) {
	body.is-mobile .fullheight {
		height: 414px !important;
	}
}
@media only screen and (min-device-width: 414px) and (max-device-height: 736px) and (orientation : portrait) and (-webkit-device-pixel-ratio: 3) {
	body.is-mobile .fullheight {
		height: 736px !important;
	}
}
/* Galaxy S3 */
@media only screen and (min-device-width: 320px) and (max-device-height: 640px) and (orientation : landscape) and (-webkit-device-pixel-ratio: 2) {
	body.is-mobile .fullheight {
		height: 320px !important;
	}
}
@media only screen and (min-device-width: 320px) and (max-device-height: 640px) and (orientation : portrait) and (-webkit-device-pixel-ratio: 2) {
	body.is-mobile .fullheight {
		height: 640px !important;
	}
}

/* Galaxy S4 */
@media only screen and (min-device-width: 320px) and (max-device-height: 640px) and (orientation : landscape) and (-webkit-device-pixel-ratio: 3) {
	body.is-mobile .fullheight {
		height: 320px !important;
	}
}
@media only screen and (min-device-width: 320px) and (max-device-height: 640px) and (orientation : portrait) and (-webkit-device-pixel-ratio: 3) {
	body.is-mobile .fullheight {
		height: 640px !important;
	}
}

/* Galaxy S5  HTC One */
@media only screen and (min-device-width: 360px) and (max-device-height: 640px) and (orientation : landscape) and (-webkit-device-pixel-ratio: 3) {
	body.is-mobile .fullheight {
		height: 360px !important;
	}
}
@media only screen and (min-device-width: 360px) and (max-device-height: 640px) and (orientation : portrait) and (-webkit-device-pixel-ratio: 3) {
	body.is-mobile .fullheight {
		height: 640px !important;
	}
}

/* Nexus 5X */
@media only screen and (min-device-width: 411px) and (max-device-height: 731px) and (orientation : landscape) and (-webkit-min-device-pixel-ratio: 2.6) {
	body.is-mobile .fullheight {
		height: 411px !important;
	}
}
@media only screen and (min-device-width: 411px) and (max-device-height: 731px) and (orientation : portrait) and (-webkit-min-device-pixel-ratio: 2.6) {
	body.is-mobile .fullheight {
		height: 731px !important;
	}
}

/* Nexus 6P */
@media only screen and (min-device-width: 435px) and (max-device-height: 773px) and (orientation : landscape) and (-webkit-min-device-pixel-ratio: 2.6) {
	body.is-mobile .fullheight {
		height: 435px !important;
	}
}
@media only screen and (min-device-width: 435px) and (max-device-height: 773px) and (orientation : portrait) and (-webkit-min-device-pixel-ratio: 2.6) {
	body.is-mobile .fullheight {
		height: 773px !important;
	}
}